// gnome.xonotic.in.ua

models/mapobjects/br_flowers/green_1
{
	qer_editorimage models/mapobjects/br_flowers/green_1.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	q3map_bounce .1
	q3map_noshadow 16
	q3map_vertexscale 2
	deformvertexes wave 5 sin 0 .2 0 .3
	sort 4
	{
		map models/mapobjects/br_flowers/green_1.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

models/trees/tree1/branch_t
{
	surfaceparm alphashadow
	cull none
	nopicmip
	nomipmaps
	deformvertexes wave 5 sin 0 .3 0 .3
	{
		map models/trees/tree1/branch_t.tga
		alphafunc ge128
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbgen vertex
	}
}

models/trees/tree2/bark3_512
{
	{
		map models/trees/tree2/bark3_512.tga
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbgen vertex
	}
}

textures/000map/acqua
{
	qer_editorimage textures/000map/pool3d_5.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	cull disable
	deformvertexes wave 64 sin .5 .5 0 .5
	{
		map textures/000map/pool3d_5.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/000map/pool3d_6.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/000map/pool3d_3.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/000map/glass
{
	qer_editorimage textures/000map/glass.tga
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	cull none
	qer_trans .5
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/000map/glassnoicy
{
	qer_editorimage textures/000map/glass.tga
	surfaceparm trans
	surfaceparm nodamage
	cull none
	qer_trans .5
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/000map/lava_bright
{
	qer_editorimage textures/000map/lavahell.tga
	qer_nocarve
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	{
		map textures/000map/lavahell.tga
		tcmod scale 0.10 0.10
		tcmod scroll 0.04 0.03
		tcmod turb 0 0.02 0 0.01
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/000map/lava_fg.tga
		blendfunc blend
		tcmod turb 0 0.15 0 0.1
	}
}

textures/000map/waterfall
{
	q3map_surfacelight 50
	q3map_backsplash 0 0
	surfaceparm noimpact
	surfaceparm water
	surfaceparm trans
	cull none
	{
		map textures/000map/waterfall2.tga
		blendfunc blend
		tcmod scroll 0 -2.5
	}
}

textures/bbq/dirt05gras
{
	q3map_nonplanar
	q3map_shadeangle 179
	{
		map textures/bbq/dirt05gras.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
	}
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

